function Osmatranform() {
	var rulesfilename = document.getElementById("rules_file_name").value;

	rulesfile = Sarissa.getDomDocument();
	rulesfile.async=false;
	rulesfile.load(rulesfilename);

	var osmfilename_written = document.getElementById("osm_file_name_written").value;
	var osmfilename_selected = document.getElementById("osm_file_name_selected").value;

	var osmfilename="data.osm";
	
	if (osmfilename_selected == "") {
		if (osmfilename_written != "") {
			osmfilename = osmfilename_written;
		}
	}
	else {
		osmfilename = osmfilename_selected;
	}
	
	tags = rulesfile.getElementsByTagName("rules");
	tags[0].setAttribute("data",osmfilename);

	(document.getElementById("showScale").checked) ? tags[0].setAttribute("showScale","yes") : tags[0].setAttribute("showScale","no");
	(document.getElementById("showGrid").checked) ? tags[0].setAttribute("showGrid","yes") : tags[0].setAttribute("showGrid","no");
	(document.getElementById("showBorder").checked) ? tags[0].setAttribute("showBorder","yes") : tags[0].setAttribute("showBorder","no");
	(document.getElementById("showLicense").checked) ? tags[0].setAttribute("showLicense","yes") : tags[0].setAttribute("showLicense","no");
	(document.getElementById("interactive").checked) ? tags[0].setAttribute("interactive","yes") : tags[0].setAttribute("interactive","no");


	xslfile = Sarissa.getDomDocument();
	xslfile.async=false;
	xslfile.load("osmarender.xsl");

	try{
			var processor = new XSLTProcessor();
			processor.importStylesheet(xslfile);
			var svgfile = processor.transformToDocument(rulesfile.documentElement);
			while (document.getElementById("svgfile").hasChildNodes()) {
				document.getElementById("svgfile").removeChild(document.getElementById("svgfile").firstChild);
			}
			var title_container = document.createElement("h1");
			var title = document.createTextNode(osmfilename+" with rules: "+rulesfilename);
			title_container.appendChild(title);
			document.getElementById("svgfile").appendChild(title_container);
			document.getElementById("svgfile").appendChild(svgfile.documentElement);
	}
	catch (error) {
	  alert(error);
	}

}
